Subject: Re: [Detnet] Missed points from the draft-theoleyre-detnet-oam-support presentation

From: Janos Farkas <[email-masked]>
Date: Thu, 3 Dec 2020 00:08:52 +0000

Hi,

My personal view is that it looks attractive to me for the OAM drafts to follow a structure similar to the one laid down by the data plane drafts. In particular, a framework draft describing the common aspects and have dedicated drafts for the particular variants.

Along these lines, draft-theoleyre-detnet-oam-support could become draft-ietf-detnet-oam-framework, which could describe DetNet OAM requirements as well as framework and common aspects for MPLS and IP (if any). draft-ietf-detnet-oam-mpls and draft-ietf-detnet-ip-oam would then remain to describe MPLS and IP OAM specifics, respectively. This would also enable the MPLS and IP drafts referring only to the framework and not cross referring to each other, not containing duplicate content.

Regards,
Janos

From: Greg Mirsky <[email-masked]>
Sent: Thursday, November 19, 2020 9:51 PM
To: DetNet WG <[email-masked]>; DetNet Chairs <[email-masked]>; [email-masked]
Subject: Missed points from the draft-theoleyre-detnet-oam-support presentation

Dear All,
I've realized that I've missed highlighting two questions to the Working Group related to OAM drafts already adopted. Here these questions we had prepared n the presentation:

  *   draft-ietf-detnet-oam-mpls includes a section that lists common OAM requirements

     *   Would this document be a more suitable place for the requirements?

  *   draft-ietf-detnet-ip-oam includes a section on the applicability of a hybrid OAM in DetNet

     *   Would this draft be a better place for that material?
Authors of draft-theoleyre-detnet-oam-support welcome your thoughts, comments and suggestions to these questions, as well as to the draft and the topic of the DetNet OAM Framework in general, especially from Sue and David (sorry that I didn't balance time to give the opportunity to discuss your comments during the meeting).

Regards,
Greg